* {
    text-decoration: none !important;
}

html {
    scroll-behavior: smooth;
    --dark-green: #73953B; /* rgb(115, 149, 59) */
    --dark-green-2: #5e7a31; /* rgb(115,149,59) */
    --btn-green: #9BB65D; /* rgb(155,182,93) */
    --btn-green-2: #84c43c; 
    --white: #fff;
    /* --header-green: #5E7F2D; */ /* rgb(94,127,45) */
}

/* header */
.contact-header .container {
    padding: 1rem 0;
}

.contact-header a {
    text-decoration: none;
}

.contact-header .social-media {
    list-style: none;
    margin: 0;
    padding: 0;
}

.contact-header .social-media > li {
    margin-right: 1.5rem;
}

.contact-header .social-media > li:last-child {
    margin-right: 0;
}

.contact-header a:not(.logo-header) {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40px;
    height: 40px;
    font-size: 1rem;
    border: 1px solid var(--dark-green);
    border-radius: 50%;
    margin-right: 0.5rem;
}

.contact-header .wrap > div {
    display: flex;
    align-items: center;
    margin-right: 1.5rem;
}

.contact-header .wrap > div:last-child {
    margin-right: 0;
}

.contact-header span {
    font-size: 0.875rem;
}

.bars-icon {
    font-size: 2rem;
    font-weight: 900;
}

/* Hero */
.hero {
    background-image: url("./images/installation-solaire.jpg");
    background-size: cover;
    background-position: center;
    height: 100vh;
}

.hero .overlay {
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
}

.hero .text-content h1, .hero .text-content p {
    color: #fff !important;
}

/* Feature */
.feature-image {
    height: 100%;
    width: 100%;
    background-size: contain;
    background-position: center;
}

/* testimonials */
/* #testimonials .profile-picture {
    width: 140px;
    height: 140px;
}

#testimonials .profile-picture img {
    height: 100%;
    width: 100%;
    background-size: contain;
    background-position: center;
    border-radius: 50%;
} */

/* Logo */
.logo-footer img {
    width: 200px;
    height: 100px;
}

.logo-header img {
    width: 150px;
    height: 75px;
}

/* Menu */
#main-menu {
    background-color: var(--dark-green);
}

#main-menu a {
    color: #fff;
}

#main-menu .active {
    background-color: var(--btn-green);
}

/* Responsive menu */
button.navbar-toggler {
    color: #fff !important;
    border-color: #fff !important;
}

.bg-dark-green {
    background-color: var(--dark-green) !important;
}

/* Buttons */
.btn-dark-green {
    background-color: var(--dark-green) !important;
    border: 1px solid var(--dark-green) !important;
}

.btn-green {
    background-color: var(--btn-green-2) !important;
    border: 1px solid var(--btn-green-2) !important;
}

.button {
    display: inline-block;
    background-color: var(--dark-green) !important;
    border: 0px solid var(--dark-green) !important;
    padding: 1rem 1.5rem;
    border-radius: 0.5rem;
    width: fit-content;
    color: var(--white);
    font-size: 1.1rem;
    font-weight: 600;
    text-align: center;
    margin: 0 auto;
    transition: all 1s ease-in-out;
}

.button:hover {
    background-color: #7ea147 !important;
    border: 0px solid #7ea147 !important;
}

.green-text {
    color: var(--dark-green) !important;
}

/* Our services */
.our-services .featurette {
    margin-bottom: 10rem !important;
    height: 300px !important;
}

.our-services .featurette .image-wrap {
    height: 100%;
}

.our-services .featurette .image-wrap img {
    object-fit: cover;
}

/* Projects */
.projects .project-box {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 2.5rem;
}

.projects .project-content {
    position: relative;
    width: 300px;
    height: 300px;
    border-radius: 8px;
    overflow: hidden;
    cursor: pointer;
}

.projects .project-content img {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    z-index: 1;
}

.projects .project-desc {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    z-index: 100;
    padding: 0 1rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    color: #fff;
    background: linear-gradient(rgba(0, 0, 0, .1), var(--dark-green));
    transform: translateY(100%);
    transition: .5s ease;
}
.projects .project-content:hover .project-desc {
    transform: translateY(0);
}

.projects .button {
    margin-top: 2rem;
}

/* Our partners design */
.our-partners .img-box {
    height: 100px;
    width: 200px;
    margin: 0 auto;
}

.our-partners .img-box img {
    display: block !important;
    height: 100% !important;
    width: 100% !important;
    object-fit: contain !important;
    filter: grayscale(1);
}

/* Footer design */
footer .row {
    padding: 5rem 0;
}

footer .footer-home-link:hover,
footer .nav-link:hover,
footer .afes-link:hover {
    color: var(--dark-green) !important;
    transition: color 0.5s;
}

/* footer .footer-home-link {
    color: var(--dark-green) !important;
} */

/* footer .footer-home-link:hover {
    color: currentColor !important;
    transition: color 0.5s;
} */

footer .contact-footer-link:hover {
    color: var(--dark-green) !important;
    transition: color 0.5s;
}

.back-to-top {
    background-color: var(--dark-green);
    color: #fff;
    position: fixed;
    bottom: 16px;
    right: 32px;
    width: 50px;
    height: 50px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 30px;
    text-decoration: none;
    opacity: 0;
    pointer-events: none;
    transition: all .4s;
    box-shadow: 0.1rem 0.1rem 0.4rem rgba(0, 0, 0, 0.4);
    z-index: 100;
}

.back-to-top:hover {
    background-color: #7ea147 !important;
}

.back-to-top.active {
    bottom: 32px;
    pointer-events: auto;
    opacity: 1;
}

.logo-copyright-box p {
    font-size: 0.9rem;
}

section {
    padding: 5rem 0;
}

section h2 {
    padding-bottom: 5rem;
}

.no-pointer {
    cursor: auto !important;
}

/* About design */
.about-img-box {
    height: 100vh;
}

.about-img-box img {
    width: 100%;
    height: 100%;
    display: block;
    object-fit: cover;
}

.about .container {
    margin-top: 5rem;
}

.about .who-are-we {
    padding-bottom: 7rem;
}

.about .wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2rem;
}

.about .wrapper .content-box {
    display: flex;
    flex-direction: column;
    padding: 1rem;
}

.about .wrapper .content-box h3 {
    margin-top: 1rem;
}

.about .wrapper .content-box i {
    font-size: 2.5rem;
}

.ot-box {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: flex-start;
    gap: 3rem;
}

.ot-content {
    width: 20%;
}

.ot-content img {
    display: block;
    width: 100%;
    height: 250px;
    object-fit: cover;
}

.ot-desc {
    padding: 1rem;
    text-align: center;
}

/* Form contact */
.form-contact .form-container {
    height: 100vh;
}

.form-contact ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

.form-contact textarea {
    height: 200px;
}

/* 404 design */
.container.not-found {
    height: 90vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.container.not-found p {
    margin: 2rem 0 1rem;
}

.container.not-found .button {
    padding: 1rem;
    /* font-size: 0.9rem; */
    margin-top: 1rem;
}

/* Responsive design */
@media (max-width: 1200px) {
    .projects .project-content {
        width: 30%;
    }
}

@media (max-width: 992px) {
    footer .row {
        row-gap: 2.5rem !important;
    }
    .img-box {
        width: 50%;
    }
    .projects .project-content {
        width: 100%;
        height: 400px;
    }
    .contact-header .logo-header {
        margin: 0 auto;
    }
    .contact-header .wrap {
        display: none !important;
    }
    .form-contact .form-container {
        height: 80vh;
    }
    .logo-copyright-box {
        order: 4;
    }
    .contact-box {
        order: 1;
    }
    .about-box {
        order: 2;
    }
    .social-box {
        order: 3;
    }
    .ot-content {
        width: 40%;
    }
    .form-contact {
        padding-bottom: 5rem;
    }
    .form-contact .contact-infos {
        display: none;
    }
}

@media (max-width: 768px) {
    .row.featurette {
        margin-bottom: 5rem !important;
        height: auto !important;
    }
    .row.featurette img {
        height: 300px !important;
    }
    .logo-copyright-box {
        order: 4;
    }
    .contact-box {
        order: 1;
    }
    .about-box {
        order: 2;
    }
    .social-box {
        order: 3;
    }
    .about .wrapper {
        grid-template-columns: 1fr;
    }
}

@media (max-width: 576px) {
    .ot-content {
        width: 100%;
    }
    .ot-content img {
        height: 500px;
    }
}